foreach i in barclays bmo boa citi goldman hsbc jpm ms td{

clear all

cd "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/data/"


import delimited compustat/`i'_compustat.csv


gen aa = niq/teqq
gen roe_growth = (aa - aa[_n-1])/aa[_n-1]
gen roe_change = aa[_n-1] - aa[_n-2]
gen roe_lag = aa[_n-1]*100
gen roe_lag2 = aa[_n-2]*100
drop aa 



gen atq_change = atq - atq[_n-1]
gen cheq_change = cheq - cheq[_n-1]
gen ltq_change = ltq - ltq[_n-1]
gen req_change = req - req[_n-1]
gen saleq_change = saleq - saleq[_n-1]

gen atq_lag = atq[_n-1]
gen cheq_lag = cheq[_n-1]
gen req_lag = req[_n-1]
gen niq_lag = niq[_n-1]
gen niq_lag2 = niq[_n-2]

gen teqq_lag = teqq[_n-1]
gen teqq_lag2 = teqq[_n-2]

gen ltq_lag = ltq[_n-1]

gen profit_lag = niq[_n-1]
gen equity_lag = teqq[_n-1]


gen npa = (npatq - npatq[_n-1])/atq[_n-1]
gen npa_lag = npa[_n-1]
gen npa_lead = npa[_n+1]

gen atq_growth = ln(atq)- ln(atq[_n-1])
gen cheq_growth = ln(cheq) - ln(cheq[_n-1])
gen ltq_growth = ln(ltq) - ln(ltq[_n-1])
gen req_growth = ln(req) - ln(req[_n-1])
gen saleq_growth = ln(saleq) - ln(saleq[_n-1])

gen yq_issue=quarterly(datacqtr,"YQ")

format yq_issue %tq


merge 1:1 yq_issue using "call/`i'_call"
drop _merge


gen ratio_lag = ratio[_n-1]


save "compustat/`i'_compustat", replace





}

