clear all

cd "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/data/"

use data

gen aa=date(date_issue,"YMD")
gen yq_issue1 = qofd(aa)


forvalues i = 206/247 {


	quietly reghdfe log_value roe_lag req cheq  atq if yq_issue1 == `i', absorb( fund_id) vce(robust)

	estimates store result_`i'
	local allq `allq' result_`i' ||
	
}

set scheme s1color




coefplot `allq', keep(roe_lag) vertical bycoefs  bylabels(" " " " " " "12Q2" " " " " " " "13Q2" " " " " " " "14Q2" " " " " " " "15Q2" " " " " " " "16Q2" " " " " " " "17Q2" " " " " " " "18Q2" " " " " " " "19Q2" " " " " " " "20Q2" " " " " " " " " "21Q2" " " " ") mcolor(navy) lcolor(navy) yline(0) ci(95) ytitle(Estimated Coefficient: Deposit) xtitle(Year Quarter) xlabel(,grid) ylabel(,grid)
