clear all

cd "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/data/"

use data




reghdfe log_value ratio_lag roe_lag atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )

*reghdfe log_value ratio  roe req_lag cheq_lag, absorb(yq_issue#fund_id) vce(cluster issuer_id )


reghdfe ratio opacity value spread_tbill, absorb(issuer_id yq_issue)

*===============================================================================


reghdfe log_value roe_lag  atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/value.tex", replace ctitle(log(Deposit)) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag)


reghdfe log_value roe_lag roe_lag2 atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/value.tex", ctitle(log(Deposit)) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag roe_lag2)

reghdfe log_value roe_lag  atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/value.tex", ctitle(log(Deposit)) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag )


reghdfe log_value roe_lag roe_lag2 atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/value.tex",append ctitle(log(Deposit)) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag  roe_lag2)


*===============================================================================

*reg spread_tbill roe_lag roe_lag2 cheq_lag_atq_lag req_lag_atq_lag atq_lag  ltq, vce(cluster fund_id ym_issue)
*outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/spread.tex",replace ctitle(Spread) addtext(Time FE, NO, Bank FE, NO, Fund-Time FE, NO) label  keep(roe_lag roe_lag2 )

reghdfe spread_tbill roe_lag  atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/spread.tex", replace ctitle(Spread) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag)


reghdfe spread_tbill roe_lag roe_lag2 atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/spread.tex", ctitle(Spread) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag roe_lag2)

reghdfe spread_tbill roe_lag  atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/spread.tex", ctitle(Spread) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag )


reghdfe spread_tbill roe_lag roe_lag2 atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/spread.tex",append ctitle(Spread) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag  roe_lag2)




*===============================================================================


*reg log_value roe_lag roe_lag2 spread_tbill cheq_lag_atq_lag req_lag_atq_lag atq_lag  ltq, vce(robust)
*outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/allin.tex",replace ctitle(log(Deposit)) addtext(Time FE, NO, Bank FE, NO, Fund-Time FE, NO) label  keep(roe_lag roe_lag2spread_tbill )


reghdfe log_value roe_lag spread_tbill atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/allin.tex", replace ctitle(log(Deposit)) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag spread_tbill)


reghdfe log_value roe_lag roe_lag2 spread_tbill atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue) vce(cluster fund_id spread_tbill)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/allin.tex", ctitle(log(Deposit)) addtext(Time FE, YES, Bank FE, YES, Fund-Time FE, NO) label keep(roe_lag roe_lag2 spread_tbill)

reghdfe log_value roe_lag spread_tbill atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id spread_tbill)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/allin.tex", ctitle(log(Deposit)) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag spread_tbill)


reghdfe log_value roe_lag roe_lag2 spread_tbill atq_lag  req_lag cheq_lag, absorb(issuer_id yq_issue#fund_id) vce(cluster fund_id )
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/allin.tex",append ctitle(log(Deposit)) addtext(Time FE, NO,  Bank FE, YES, Fund-Time FE, YES) label keep(roe_lag  roe_lag2 spread_tbill)

*===============================================================================

reghdfe log_value roe_lag opacity roeXopacity , absorb(issuer_id yq_issue) vce(cluster fund_id)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/opacity.tex",replace ctitle(log(Deposit)) addtext(Bank FE, YES, Time FE, YES) label //keep(  roe_lag opacity roe_lagXopacity)


reghdfe spread_tbill roe_lag opacity roeXopacity , absorb(issuer_id yq_issue) vce(cluster fund_id)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/opacity.tex",append ctitle(Spread) addtext(Bank FE,YES, Time FE, YES) label //keep(  roe_lag opacity roe_lagXopacity)

*===============================================================================

reghdfe ratio opacity, absorb(issuer_id yq_issue)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/ratio_opacity.tex",replace ctitle(Risk Ratio) addtext(Bank FE,YES, Time FE, YES) label

reghdfe ratio opacity log_value, absorb(issuer_id yq_issue)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/ratio_opacity.tex", ctitle(Risk Ratio) addtext(Bank FE,YES, Time FE, YES) label

reghdfe ratio opacity log_value spread_tbill, absorb(issuer_id yq_issue)
outreg2 using "/Users/sangraekim/Dropbox/project/wholesale bank macro model/empirical/imoneynet/result/ratio_opacity.tex",append ctitle(Risk Ratio) addtext(Bank FE,YES, Time FE, YES) label



 
